## org.hibernate.envers
Interface RevisionListener

All Known Subinterfaces:
  EntityTrackingRevisionListener

    public interface RevisionListener

An implementation of this class, having a no-arg constructor, should be passed as an argument to the `RevisionEntity` annotation.

Author:
  Adam Warski (adam at warski dot org)

Method Summary
`void` `newRevision(Object revisionEntity)` Called when a new revision is created.

Method Detail

### newRevision

    void newRevision(Object revisionEntity)

  Called when a new revision is created.

  Parameters:
    `revisionEntity` - An instance of the entity annotated with `RevisionEntity`, which will be persisted after this method returns. All properties on this entity that are to be persisted should be set by this method.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.